#include <stdio.h>
#include <lua/lua.hpp>

int main() {
	lua_State *L = luaL_newstate();
	luaL_openlibs(L);
	if(luaL_dofile(L, "test.lua")) {
		printf("%s\n", lua_tostring(L, -1));
		return -1;
	}
	
	//test.luaで定義された大域Helloをスタックに積む
	lua_getglobal(L, "Hello");
	lua_getglobal(L, "World");
	printf("%s\n", lua_tostring(L, -1)); //積まれたWorldを文字列で出力
	printf("%s\n", lua_tostring(L, -2)); //積まれたHelloを文字列で出力
	
	//スタックをpop(WorldとHelloが詰まってるスタックを破棄する)
	lua_pop(L, 2);
	printf("lua_gettop(L)=%d\n", lua_gettop(L));
	lua_close(L);
	return 0;
}
